# RepoTokenLinkedList.sol#RepoTokenLinkedListStorageV1

[Git Source](https://github.com/term-finance/term-finance-listing/blob/943d131dad4bf057496209b944354a91fe8dd755/src/RepoTokenLinkedList.sol)

Storage contract for the RepoTokenLinkedList

## State Variables

### repoTokenBlacklist

```solidity
mapping(address => bool) public repoTokenBlacklist;
```

### totalListed

```solidity
mapping(address => uint256) public totalListed;
```

### listings

```solidity
mapping(uint256 => Listing) public listings;
```

### minimumListingAmount

```solidity
mapping(address => uint256) public minimumListingAmount;
```

### queues

```solidity
mapping(address => Queue) public queues;
```

### nextId

```solidity
uint256 public nextId;
```

### discountRateMarkup

```solidity
uint256 public discountRateMarkup;
```

### discountRateAdapter

```solidity
ITermDiscountRateAdapter public discountRateAdapter;
```

## Structs

### Listing

Structure to represent a token listing

*Uses a linked list structure for efficient management*

```solidity
struct Listing {
    address seller;
    address token;
    uint256 amount;
    uint256 next;
    uint256 prev;
}
```

### Queue

Structure to represent a queue for each Repo token

```solidity
struct Queue {
    uint256 head;
    uint256 tail;
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.term.finance/periphery-contracts/blue-sheets/solidity-api-latest/repotokenlinkedlist.sol-repotokenlinkedliststoragev1.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
